Bug 603322 - iPod Shuffle hotplug not working completely
iPod Shuffle hotplug not working completely
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libgpod (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-12 07:54 EDT by Walter Tuvell
Modified: 2011-06-27 14:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:04:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Walter Tuvell 2010-06-12 07:54:07 EDT
Description of problem:
/* Note: I'm not sure this is strictly a "hotplug" issue, but it's a place to start. */
When I insert an iPod Shuffle into my laptop, it doesn't show up as a plugged-in device on the desktop, and registered apps (such as Nautilus, Rhythmbox, etc., depending on configuration) don't start.  This problem only happens with the Shuffle: with a regular iPod, or data USB stick, or CD, etc., everything works OK.


Version-Release number of selected component (if applicable):
I'm running vanilla F13 (mainline, without modifications).


How reproducible:
Happens every time I plug in the Shuffle.


Steps to Reproduce:
After booting Fedora, insert Shuffle into USB port (with or without doing intervening work).

  
Actual results:
The device is recognized by the kernel (as proved by dmesg, /var/log/messages, see below), but not by other expected/automatic components of the system.


Expected results:
Plugged-in device should automatically appear on desktop, and application registered with file manager (such as Nautilus, Rhythmbox, etc.) should automatically open.  None of this happens at all for the Shuffle (but it all happens correctly for other devices, such as regular iPod, data USB stick, CD, etc.).  Also, when I plug the Shuffle into a Windows machine, iTunes opens automatically (so, there doesn't seem to be anything wrong with the Shuffle itself).


Additional info:

Here's what /var/log/messages says when I insert the Shuffle (note the 5-second delay):

Jun 12 07:19:55 wethost kernel: usb 2-1: new high speed USB device using ehci_hcd and address 18
Jun 12 07:19:55 wethost kernel: usb 2-1: New USB device found, idVendor=05ac, idProduct=1300
Jun 12 07:19:55 wethost kernel: usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Jun 12 07:19:55 wethost kernel: usb 2-1: Product: iPod            
Jun 12 07:19:55 wethost kernel: usb 2-1: Manufacturer: Apple
Jun 12 07:19:55 wethost kernel: usb 2-1: SerialNumber: 000A2700101A98F7
Jun 12 07:19:55 wethost kernel: scsi15 : usb-storage 2-1:1.0
Jun 12 07:20:00 wethost kernel: scsi 15:0:0:0: Direct-Access     Apple    iPod             2.70 PQ: 0 ANSI: 4
Jun 12 07:20:00 wethost kernel: sd 15:0:0:0: Attached scsi generic sg2 type 0
Jun 12 07:20:00 wethost kernel: sd 15:0:0:0: [sdb] 1015040 512-byte logical blocks: (519 MB/495 MiB)
Jun 12 07:20:00 wethost kernel: sd 15:0:0:0: [sdb] Write Protect is off
Jun 12 07:20:00 wethost kernel: sd 15:0:0:0: [sdb] Assuming drive cache: write through
Jun 12 07:20:00 wethost kernel: sd 15:0:0:0: [sdb] Assuming drive cache: write through
Jun 12 07:20:00 wethost kernel: sdb: sdb1
Jun 12 07:20:00 wethost kernel: sd 15:0:0:0: [sdb] Assuming drive cache: write through
Jun 12 07:20:00 wethost kernel: sd 15:0:0:0: [sdb] Attached SCSI removable disk

At this point, I can mount/umount the device if I want to (mount /dev/sdb1 /media/shuffle, say).  (But even after mounting it in this way, I can't use it: opening it in Rhythmbox doesn't work correctly, because Rhythmbox doesn't recognize it as an audio device.)

When I remove the Shuffle, here's what /var/log/messages says:

Jun 12 07:21:52 wethost kernel: usb 2-1: USB disconnect, address 18
Jun 12 07:21:52 wethost usb_id[18253]: unable to access '/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host15/target15:0:0/15:0:0:0/block/sdb'

Furthermore, I have Nautilus running, then it shows nothing when I plug the Shuffle in.  But when I remove the Shuffle, Nautilus sometimes quickly blinks the name of the Shuffle while I'm unplugging it (the name immediately disappears from Nautilus, and this name name-blinking doesn't always happen, probably because it all happens so fast that the screen update doesn't always capture it).


For reference, here's what happens when I plug in a regular iPod:

Jun 12 07:23:30 wethost kernel: usb 2-2: new high speed USB device using ehci_hcd and address 19
Jun 12 07:23:30 wethost kernel: usb 2-2: New USB device found, idVendor=05ac, idProduct=1293
Jun 12 07:23:30 wethost kernel: usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Jun 12 07:23:30 wethost kernel: usb 2-2: Product: iPod
Jun 12 07:23:30 wethost kernel: usb 2-2: Manufacturer: Apple Inc.
Jun 12 07:23:30 wethost kernel: usb 2-2: SerialNumber: 4daa24fe643dbcd62b40788f9d475294067a4bfc
Jun 12 07:23:38 wethost avahi-daemon[1573]: Invalid query packet.
Jun 12 07:23:38 wethost avahi-daemon[1573]: Invalid query packet.
Jun 12 07:23:39 wethost avahi-daemon[1573]: Invalid query packet.

The invalid query packets here don't seem to be harmful.  The regular iPod automatically shows up as a plugged-in device on the desktop, and registered applications such as Rhythmbox and F-Spot automatically open.

When I unplug the regular iPod (without doing a right-click/unmount on the desktop icon, say), /var/log/messages says:

Jun 12 07:42:21 wethost kernel: usb 2-2: USB disconnect, address 19
Comment 1 Peter Robinson 2010-06-16 09:59:02 EDT
This is nothing to do with libimobiledevice as it only supports iOS devices such as the iPod Touch, iPhone and iPad
Comment 2 Harald Hoyer 2010-06-25 07:44:17 EDT
what is the output of:

# udevadm monitor

if you plugin the device?

Also what does:

# udevadm info --query=all --name=/dev/sdb
# udevadm info --query=all --name=/dev/sdb1

output?
Comment 3 Walter Tuvell 2010-06-25 13:19:21 EDT
Hello, Herald.  I didn't know about udevadm, sorry.

Below is the info you request.  It shows the same 5 sec delay I noted before (I don't know whether that's significant or not).


#- udevadm monitor
monitor will print the received events for:
UDEV - the event which udev sends out after rule processing
KERNEL - the kernel uevent

KERNEL[1277486060.693841] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1 (usb)
KERNEL[1277486060.696819] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0 (usb)
KERNEL[1277486060.699830] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5 (scsi)
KERNEL[1277486060.700052] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/scsi_host/host5 (scsi_host)
UDEV  [1277486060.720074] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1 (usb)
UDEV  [1277486060.722065] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0 (usb)
UDEV  [1277486060.722890] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5 (scsi)
UDEV  [1277486060.723654] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/scsi_host/host5 (scsi_host)
KERNEL[1277486065.702016] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0 (scsi)
KERNEL[1277486065.702128] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0 (scsi)
UDEV  [1277486065.703156] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0 (scsi)
KERNEL[1277486065.703252] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/scsi_disk/5:0:0:0 (scsi_disk)
KERNEL[1277486065.703397] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/scsi_device/5:0:0:0 (scsi_device)
KERNEL[1277486065.703818] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/scsi_generic/sg2 (scsi_generic)
KERNEL[1277486065.704282] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/bsg/5:0:0:0 (bsg)
UDEV  [1277486065.704517] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0 (scsi)
UDEV  [1277486065.705928] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/scsi_disk/5:0:0:0 (scsi_disk)
UDEV  [1277486065.726515] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/scsi_generic/sg2 (scsi_generic)
KERNEL[1277486065.730795] change   /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0 (scsi)
UDEV  [1277486065.732942] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/bsg/5:0:0:0 (bsg)
UDEV  [1277486065.736352] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/scsi_device/5:0:0:0 (scsi_device)
UDEV  [1277486065.736972] change   /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0 (scsi)
KERNEL[1277486065.737005] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/block/sdb (block)
KERNEL[1277486065.737024] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/block/sdb/sdb1 (block)
KERNEL[1277486065.737121] add      /devices/virtual/bdi/8:16 (bdi)
UDEV  [1277486065.737890] add      /devices/virtual/bdi/8:16 (bdi)
UDEV  [1277486065.802971] add      /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/block/sdb (block)


^C#- udevadm info --query=all --name=/dev/sdb
P: /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/block/sdb
N: sdb
W: 55
S: block/8:16
S: disk/by-id/usb-Apple_iPod_000A2700101A98F7-0:0
S: disk/by-path/pci-0000:00:1d.7-usb-0:1:1.0-scsi-0:0:0:0
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/block/sdb
E: MAJOR=8
E: MINOR=16
E: DEVNAME=/dev/sdb
E: DEVTYPE=disk
E: SUBSYSTEM=block
E: ID_MEDIA_PLAYER=apple-1261_1262
E: UDISKS_PRESENTATION_ICON_NAME=multimedia-player-apple-ipod
E: ID_VENDOR=Apple
E: ID_VENDOR_ENC=Apple\x20\x20\x20
E: ID_VENDOR_ID=05ac
E: ID_MODEL=iPod
E: ID_MODEL_ENC=iPod\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20
E: ID_MODEL_ID=1300
E: ID_REVISION=2.70
E: ID_SERIAL=Apple_iPod_000A2700101A98F7-0:0
E: ID_SERIAL_SHORT=000A2700101A98F7
E: ID_TYPE=disk
E: ID_INSTANCE=0:0
E: ID_BUS=usb
E: ID_USB_INTERFACES=:080650:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=usb-storage
E: ID_PATH=pci-0000:00:1d.7-usb-0:1:1.0-scsi-0:0:0:0
E: ID_PART_TABLE_TYPE=dos
E: UDISKS_PRESENTATION_NOPOLICY=0
E: UDISKS_PARTITION_TABLE=1
E: UDISKS_PARTITION_TABLE_SCHEME=mbr
E: UDISKS_PARTITION_TABLE_COUNT=1
E: DEVLINKS=/dev/block/8:16 /dev/disk/by-id/usb-Apple_iPod_000A2700101A98F7-0:0 /dev/disk/by-path/pci-0000:00:1d.7-usb-0:1:1.0-scsi-0:0:0:0


#- udevadm info --query=all --name=/dev/sdb1
P: /devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/block/sdb/sdb1
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/block/sdb/sdb1
E: MAJOR=8
E: MINOR=17
E: DEVNAME=sdb1
E: DEVTYPE=partition
E: SUBSYSTEM=block

#-
Comment 4 Harald Hoyer 2010-06-28 07:02:20 EDT
what is the output of:

# blkid -o udev -p /dev/sdb1

I think s.th. is blocking I/O to the device. Kernel?
Comment 5 Walter Tuvell 2010-06-28 09:48:44 EDT
Harald [sorry for misspelling your name last time!], here is the info you request:

#- blkid -o udev -p /dev/sdb1
ID_FS_LABEL=LINDA_S_SHU
ID_FS_LABEL_ENC=LINDA\x27S\x20SHU
ID_FS_VERSION=FAT32
ID_FS_TYPE=vfat
ID_FS_USAGE=filesystem

#- 


For the record, the full name of this device is LINDA'S SHUFFLE (it belongs to my wife, Linda, who complained about this problem on her Ubuntu, so I tried it on my Fedora and see the same problem).
Comment 6 Harald Hoyer 2010-06-28 09:58:33 EDT
ok, next test:

- plugin the device

# udevadm test $(readlink -f /sys/block/sdb/sdb1)
Comment 7 Walter Tuvell 2010-06-28 11:49:05 EDT
Output is given below.  It hung at the end, waiting for other activity, so I hit  the return key a few times (to mark that place in the output with some blank lines), then unplugged the device, at which point the command printed out some additional info (also included below), and exited.



#- udevadm test $(readlink -f /sys/block/sdb/sdb1)
run_command: calling: test
udevadm_test: version 151
This program is for debugging only, it does not run any program,
specified by a RUN key. It may show incorrect results, because
some values may be different, or not available at a simulation run.

parse_file: reading '/lib/udev/rules.d/10-console.rules' as rules file
parse_file: reading '/lib/udev/rules.d/10-dm.rules' as rules file
add_rule: name empty, node creation suppressed
parse_file: reading '/etc/udev/rules.d/10-vboxdrv.rules' as rules file
parse_file: reading '/lib/udev/rules.d/11-dm-lvm.rules' as rules file
parse_file: reading '/lib/udev/rules.d/13-dm-disk.rules' as rules file
parse_file: reading '/etc/udev/rules.d/40-hplip.rules' as rules file
parse_file: reading '/lib/udev/rules.d/40-isdn.rules' as rules file
parse_file: reading '/lib/udev/rules.d/40-libgphoto2.rules' as rules file
parse_file: reading '/lib/udev/rules.d/40-multipath.rules' as rules file
parse_file: reading '/lib/udev/rules.d/40-redhat.rules' as rules file
parse_file: reading '/lib/udev/rules.d/40-usb-media-players.rules' as rules file
parse_file: reading '/lib/udev/rules.d/50-firmware.rules' as rules file
parse_file: reading '/lib/udev/rules.d/50-udev-default.rules' as rules file
parse_file: reading '/etc/udev/rules.d/55-hpmud.rules' as rules file
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:24
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:29
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:31
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:33
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:35
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:37
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:39
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:41
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:43
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:45
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:47
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:49
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:51
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:53
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:55
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:57
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:59
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:61
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:62
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:64
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:66
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:68
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:70
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:72
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:74
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:76
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:78
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:80
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:82
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:84
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:86
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:88
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:90
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:92
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:94
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:96
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:98
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:100
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:102
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:104
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:106
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:108
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:110
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:112
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:114
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:116
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:118
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:120
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:122
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:124
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:126
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:128
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:130
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:132
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:134
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:137
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:139
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:141
parse_file: reading '/etc/udev/rules.d/56-hpmud_support.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-cdrom_id.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-floppy.rules' as rules file
parse_file: reading '/etc/udev/rules.d/60-fprint-autosuspend.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-libmtp.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-net.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-pcmcia.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-persistent-alsa.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-persistent-input.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-persistent-serial.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-persistent-storage-tape.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-persistent-storage.rules' as rules file
parse_file: reading '/lib/udev/rules.d/60-persistent-v4l.rules' as rules file
parse_file: reading '/lib/udev/rules.d/61-mobile-action.rules' as rules file
parse_file: reading '/lib/udev/rules.d/61-persistent-storage-edd.rules' as rules file
parse_file: reading '/lib/udev/rules.d/64-device-mapper.rules' as rules file
parse_file: reading '/lib/udev/rules.d/64-md-raid.rules' as rules file
parse_file: reading '/lib/udev/rules.d/65-libsane.rules' as rules file
parse_file: reading '/lib/udev/rules.d/65-md-incremental.rules' as rules file
parse_file: reading '/lib/udev/rules.d/69-pilot-link.rules' as rules file
parse_file: reading '/lib/udev/rules.d/69-xorg-vmmouse.rules' as rules file
parse_file: reading '/lib/udev/rules.d/70-acl.rules' as rules file
parse_file: reading '/lib/udev/rules.d/70-cups-libusb.rules' as rules file
parse_file: reading '/lib/udev/rules.d/70-hid2hci.rules' as rules file
parse_file: reading '/etc/udev/rules.d/70-persistent-cd.rules' as rules file
parse_file: reading '/etc/udev/rules.d/70-persistent-net.rules' as rules file
parse_file: reading '/lib/udev/rules.d/70-printers.rules' as rules file
parse_file: reading '/lib/udev/rules.d/70-touchpad-quirks.rules' as rules file
parse_file: reading '/lib/udev/rules.d/70-wacom.rules' as rules file
parse_file: reading '/lib/udev/rules.d/75-cd-aliases-generator.rules' as rules file
parse_file: reading '/lib/udev/rules.d/75-net-description.rules' as rules file
parse_file: reading '/lib/udev/rules.d/75-persistent-net-generator.rules' as rules file
parse_file: reading '/lib/udev/rules.d/75-tty-description.rules' as rules file
parse_file: reading '/lib/udev/rules.d/77-mm-ericsson-mbm.rules' as rules file
parse_file: reading '/lib/udev/rules.d/77-mm-longcheer-port-types.rules' as rules file
parse_file: reading '/lib/udev/rules.d/77-mm-pcmcia-device-blacklist.rules' as rules file
parse_file: reading '/lib/udev/rules.d/77-mm-platform-serial-whitelist.rules' as rules file
parse_file: reading '/lib/udev/rules.d/77-mm-usb-device-blacklist.rules' as rules file
parse_file: reading '/lib/udev/rules.d/77-mm-zte-port-types.rules' as rules file
parse_file: reading '/lib/udev/rules.d/77-nm-olpc-mesh.rules' as rules file
parse_file: reading '/lib/udev/rules.d/78-sound-card.rules' as rules file
parse_file: reading '/lib/udev/rules.d/79-fstab_import.rules' as rules file
parse_file: reading '/lib/udev/rules.d/80-drivers.rules' as rules file
parse_file: reading '/lib/udev/rules.d/80-udisks.rules' as rules file
parse_file: reading '/etc/udev/rules.d/85-pcscd_ccid.rules' as rules file
parse_file: reading '/etc/udev/rules.d/85-pcscd_egate.rules' as rules file
add_rule: BUS= will be removed in a future udev version, please use SUBSYSTEM= to match the event device, or SUBSYSTEMS= to match a parent device, in /etc/udev/rules.d/85-pcscd_egate.rules:3
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/85-pcscd_egate.rules:3
add_rule: BUS= will be removed in a future udev version, please use SUBSYSTEM= to match the event device, or SUBSYSTEMS= to match a parent device, in /etc/udev/rules.d/85-pcscd_egate.rules:5
parse_file: reading '/lib/udev/rules.d/85-regulatory.rules' as rules file
parse_file: reading '/lib/udev/rules.d/85-usbmuxd.rules' as rules file
parse_file: reading '/lib/udev/rules.d/88-clock.rules' as rules file
parse_file: reading '/lib/udev/rules.d/89-microcode.rules' as rules file
parse_file: reading '/etc/udev/rules.d/90-alsa-tools-firmware.rules' as rules file
parse_file: reading '/etc/udev/rules.d/90-alsa.rules' as rules file
parse_file: reading '/etc/udev/rules.d/90-hal.rules' as rules file
parse_file: reading '/lib/udev/rules.d/90-pulseaudio.rules' as rules file
parse_file: reading '/etc/udev/rules.d/91-drm-modeset.rules' as rules file
parse_file: reading '/etc/udev/rules.d/92-video-post.rules' as rules file
parse_file: reading '/lib/udev/rules.d/95-dm-notify.rules' as rules file
parse_file: reading '/lib/udev/rules.d/95-keyboard-force-release.rules' as rules file
parse_file: reading '/lib/udev/rules.d/95-keymap.rules' as rules file
parse_file: reading '/lib/udev/rules.d/95-udev-late.rules' as rules file
parse_file: reading '/lib/udev/rules.d/95-upower-battery-recall-dell.rules' as rules file
parse_file: reading '/lib/udev/rules.d/95-upower-battery-recall-fujitsu.rules' as rules file
parse_file: reading '/lib/udev/rules.d/95-upower-battery-recall-gateway.rules' as rules file
parse_file: reading '/lib/udev/rules.d/95-upower-battery-recall-ibm.rules' as rules file
parse_file: reading '/lib/udev/rules.d/95-upower-battery-recall-lenovo.rules' as rules file
parse_file: reading '/lib/udev/rules.d/95-upower-battery-recall-toshiba.rules' as rules file
parse_file: reading '/lib/udev/rules.d/95-upower-csr.rules' as rules file
parse_file: reading '/lib/udev/rules.d/95-upower-hid.rules' as rules file
parse_file: reading '/lib/udev/rules.d/95-upower-wup.rules' as rules file
parse_file: reading '/etc/udev/rules.d/97-bluetooth-serial.rules' as rules file
parse_file: reading '/lib/udev/rules.d/97-bluetooth.rules' as rules file
parse_file: reading '/etc/udev/rules.d/99-fuse.rules' as rules file
parse_file: reading '/etc/udev/rules.d/99-gpsd.rules' as rules file
parse_file: reading '/etc/udev/rules.d/kino.rules' as rules file
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/kino.rules:11
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/kino.rules:13
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/kino.rules:15
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/kino.rules:17
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/kino.rules:19
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/kino.rules:21
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/kino.rules:23
add_rule: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/kino.rules:25
parse_file: reading '/lib/udev/rules.d/libgpod.rules' as rules file
udev_rules_new: rules use 199020 bytes tokens (16585 * 12 bytes), 34184 bytes buffer
udev_rules_new: temporary index used 58320 bytes (2916 * 20 bytes)
udev_device_new_from_syspath: device 0x1215950 has devpath '/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/block/sdb/sdb1'
udev_device_new_from_syspath: device 0x1215cd0 has devpath '/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/block/sdb/sdb1'
udev_rules_apply_to_event: RUN 'socket:/org/kernel/dm/multipath_event' /lib/udev/rules.d/40-multipath.rules:4
udev_device_new_from_syspath: device 0x11ec7c0 has devpath '/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/block/sdb'
udev_device_new_from_syspath: device 0x11eca00 has devpath '/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0'
udev_device_new_from_syspath: device 0x120efa0 has devpath '/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0'
udev_device_new_from_syspath: device 0x120f170 has devpath '/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5'
udev_device_new_from_syspath: device 0x120f340 has devpath '/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0'
udev_device_new_from_syspath: device 0x12170b0 has devpath '/devices/pci0000:00/0000:00:1d.7/usb2/2-1'
udev_device_new_from_syspath: device 0x1217260 has devpath '/devices/pci0000:00/0000:00:1d.7/usb2'
udev_device_new_from_syspath: device 0x1217410 has devpath '/devices/pci0000:00/0000:00:1d.7'
udev_device_new_from_syspath: device 0x12175a0 has devpath '/devices/pci0000:00'
udev_rules_apply_to_event: LINK 'block/8:17' /lib/udev/rules.d/50-udev-default.rules:3
udev_rules_apply_to_event: GROUP 6 /lib/udev/rules.d/50-udev-default.rules:76
udev_device_read_db: device 0x11ec7c0 filled with db file data
udev_rules_apply_to_event: LINK 'disk/by-id/usb-Apple_iPod_000A2700101A98F7-0:0-part1' /lib/udev/rules.d/60-persistent-storage.rules:31
udev_rules_apply_to_event: LINK 'disk/by-path/pci-0000:00:1d.7-usb-0:1:1.0-scsi-0:0:0:0-part1' /lib/udev/rules.d/60-persistent-storage.rules:49
udev_rules_apply_to_event: IMPORT '/sbin/blkid -o udev -p /dev/sdb1' /lib/udev/rules.d/60-persistent-storage.rules:60
util_run_program: '/sbin/blkid -o udev -p /dev/sdb1' started
util_run_program: '/sbin/blkid' (stdout) 'ID_FS_LABEL=LINDA_S_SHU'
util_run_program: '/sbin/blkid' (stdout) 'ID_FS_LABEL_ENC=LINDA\x27S\x20SHU'
util_run_program: '/sbin/blkid' (stdout) 'ID_FS_VERSION=FAT32'
util_run_program: '/sbin/blkid' (stdout) 'ID_FS_TYPE=vfat'
util_run_program: '/sbin/blkid' (stdout) 'ID_FS_USAGE=filesystem'
util_run_program: '/sbin/blkid -o udev -p /dev/sdb1' returned with exitcode 0
udev_rules_apply_to_event: LINK 'disk/by-label/LINDA\x27S\x20SHU' /lib/udev/rules.d/60-persistent-storage.rules:67
udev_rules_apply_to_event: IMPORT 'fstab_import sdb1 block/8:17 disk/by-id/usb-Apple_iPod_000A2700101A98F7-0:0-part1 disk/by-path/pci-0000:00:1d.7-usb-0:1:1.0-scsi-0:0:0:0-part1 disk/by-label/LINDA\x27S\x20SHU mapper/' /lib/udev/rules.d/79-fstab_import.rules:1
util_run_program: 'fstab_import sdb1 block/8:17 disk/by-id/usb-Apple_iPod_000A2700101A98F7-0:0-part1 disk/by-path/pci-0000:00:1d.7-usb-0:1:1.0-scsi-0:0:0:0-part1 disk/by-label/LINDA\x27S\x20SHU mapper/' started
util_run_program: 'fstab_import sdb1 block/8:17 disk/by-id/usb-Apple_iPod_000A2700101A98F7-0:0-part1 disk/by-path/pci-0000:00:1d.7-usb-0:1:1.0-scsi-0:0:0:0-part1 disk/by-label/LINDA\x27S\x20SHU mapper/' returned with exitcode 1
udev_rules_apply_to_event: IMPORT 'udisks-part-id /dev/sdb1' /lib/udev/rules.d/80-udisks.rules:85
util_run_program: 'udisks-part-id /dev/sdb1' started
util_run_program: '/lib/udev/udisks-part-id' (stderr) 'libudev: udev_device_new_from_syspath: '
util_run_program: '/lib/udev/udisks-part-id' (stderr) 'device 0x24c01e0 has devpath '/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/block/sdb/sdb1''
util_run_program: '/lib/udev/udisks-part-id' (stderr) 'libudev: udev_device_new_from_syspath: '
util_run_program: '/lib/udev/udisks-part-id' (stderr) 'device 0x24c1c60 has devpath '/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/block/sdb''
util_run_program: '/lib/udev/udisks-part-id' (stderr) 'libudev: udev_device_read_db: '
util_run_program: '/lib/udev/udisks-part-id' (stderr) 'device 0x24c1c60 filled with db file data'
util_run_program: '/lib/udev/udisks-part-id' (stderr) 'using device_file=/dev/sdb syspath=/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/block/sdb, offset=31232 ao=0 and number=1 for /dev/sdb1'
util_run_program: '/lib/udev/udisks-part-id' (stderr) 'Entering MS-DOS parser (offset=0, size=519700480)'
util_run_program: '/lib/udev/udisks-part-id' (stderr) 'MSDOS_MAGIC found'
util_run_program: '/lib/udev/udisks-part-id' (stderr) 'looking at part 0 (offset 31232, size 519669248, type 0x0b)'
util_run_program: '/lib/udev/udisks-part-id' (stderr) 'new part entry'
util_run_program: '/lib/udev/udisks-part-id' (stderr) 'looking at part 1 (offset 0, size 0, type 0x00)'
util_run_program: '/lib/udev/udisks-part-id' (stderr) 'new part entry'
util_run_program: '/lib/udev/udisks-part-id' (stderr) 'looking at part 2 (offset 0, size 0, type 0x00)'
util_run_program: '/lib/udev/udisks-part-id' (stderr) 'new part entry'
util_run_program: '/lib/udev/udisks-part-id' (stderr) 'looking at part 3 (offset 0, size 0, type 0x00)'
util_run_program: '/lib/udev/udisks-part-id' (stderr) 'new part entry'
util_run_program: '/lib/udev/udisks-part-id' (stderr) 'Exiting MS-DOS parser'
util_run_program: '/lib/udev/udisks-part-id' (stderr) 'MSDOS partition table detected'
util_run_program: '/lib/udev/udisks-part-id' (stdout) 'UDISKS_PARTITION=1'
util_run_program: '/lib/udev/udisks-part-id' (stdout) 'UDISKS_PARTITION_SCHEME=mbr'
util_run_program: '/lib/udev/udisks-part-id' (stdout) 'UDISKS_PARTITION_NUMBER=1'
util_run_program: '/lib/udev/udisks-part-id' (stdout) 'UDISKS_PARTITION_TYPE=0x0b'
util_run_program: '/lib/udev/udisks-part-id' (stdout) 'UDISKS_PARTITION_SIZE=519669248'
util_run_program: '/lib/udev/udisks-part-id' (stdout) 'UDISKS_PARTITION_LABEL='
util_run_program: '/lib/udev/udisks-part-id' (stdout) 'UDISKS_PARTITION_UUID='
util_run_program: '/lib/udev/udisks-part-id' (stdout) 'UDISKS_PARTITION_FLAGS=boot'
util_run_program: '/lib/udev/udisks-part-id' (stdout) 'UDISKS_PARTITION_SLAVE=/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/block/sdb'
util_run_program: '/lib/udev/udisks-part-id' (stdout) 'UDISKS_PARTITION_OFFSET=31232'
util_run_program: '/lib/udev/udisks-part-id' (stdout) 'UDISKS_PARTITION_ALIGNMENT_OFFSET=0'
util_run_program: 'udisks-part-id /dev/sdb1' returned with exitcode 0
udev_rules_apply_to_event: RUN 'socket:@/org/freedesktop/hal/udev_event' /etc/udev/rules.d/90-hal.rules:2
udev_rules_apply_to_event: IMPORT '/lib/udev/ipod-set-info /dev/sdb1 2 4' /lib/udev/rules.d/libgpod.rules:6
util_run_program: '/lib/udev/ipod-set-info /dev/sdb1 2 4' started




util_run_program: '/lib/udev/ipod-set-info' (stdout) 'error reading: -4 (i = 0)'
util_run_program: '/lib/udev/ipod-set-info /dev/sdb1 2 4' returned with exitcode 255
udev_event_execute_rules: no node name set, will use kernel supplied name 'sdb1'
udev_device_update_db: created db file for '/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/block/sdb/sdb1' in '/dev/.udev/db/block:sdb1'
udev_node_add: creating device node '/dev/sdb1', devnum=8:17, mode=0660, uid=0, gid=6
udev_node_mknod: mknod(/dev/sdb1, 060660, (8,17))
udev_node_mknod: set permissions /dev/sdb1, 060660, uid=0, gid=6
node_symlink: creating symlink '/dev/block/8:17' to '../sdb1'
link_update: creating link '/dev/disk/by-id/usb-Apple_iPod_000A2700101A98F7-0:0-part1' to '/dev/sdb1'
node_symlink: creating symlink '/dev/disk/by-id/usb-Apple_iPod_000A2700101A98F7-0:0-part1' to '../../sdb1'
link_update: creating link '/dev/disk/by-path/pci-0000:00:1d.7-usb-0:1:1.0-scsi-0:0:0:0-part1' to '/dev/sdb1'
node_symlink: creating symlink '/dev/disk/by-path/pci-0000:00:1d.7-usb-0:1:1.0-scsi-0:0:0:0-part1' to '../../sdb1'
link_update: creating link '/dev/disk/by-label/LINDA\x27S\x20SHU' to '/dev/sdb1'
node_symlink: creating symlink '/dev/disk/by-label/LINDA\x27S\x20SHU' to '../../sdb1'
udevadm_test: UDEV_LOG=6
udevadm_test: DEVPATH=/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/block/sdb/sdb1
udevadm_test: MAJOR=8
udevadm_test: MINOR=17
udevadm_test: DEVNAME=/dev/sdb1
udevadm_test: DEVTYPE=partition
udevadm_test: ACTION=add
udevadm_test: SUBSYSTEM=block
udevadm_test: ID_MEDIA_PLAYER=apple-1261_1262
udevadm_test: UDISKS_PRESENTATION_ICON_NAME=multimedia-player-apple-ipod
udevadm_test: DEVLINKS=/dev/block/8:17 /dev/disk/by-id/usb-Apple_iPod_000A2700101A98F7-0:0-part1 /dev/disk/by-path/pci-0000:00:1d.7-usb-0:1:1.0-scsi-0:0:0:0-part1 /dev/disk/by-label/LINDA\x27S\x20SHU
udevadm_test: ID_VENDOR=Apple
udevadm_test: ID_VENDOR_ENC=Apple\x20\x20\x20
udevadm_test: ID_VENDOR_ID=05ac
udevadm_test: ID_MODEL=iPod
udevadm_test: ID_MODEL_ENC=iPod\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20
udevadm_test: ID_MODEL_ID=1300
udevadm_test: ID_REVISION=2.70
udevadm_test: ID_SERIAL=Apple_iPod_000A2700101A98F7-0:0
udevadm_test: ID_SERIAL_SHORT=000A2700101A98F7
udevadm_test: ID_TYPE=disk
udevadm_test: ID_INSTANCE=0:0
udevadm_test: ID_BUS=usb
udevadm_test: ID_USB_INTERFACES=:080650:
udevadm_test: ID_USB_INTERFACE_NUM=00
udevadm_test: ID_USB_DRIVER=usb-storage
udevadm_test: ID_PATH=pci-0000:00:1d.7-usb-0:1:1.0-scsi-0:0:0:0
udevadm_test: ID_PART_TABLE_TYPE=dos
udevadm_test: ID_FS_LABEL=LINDA_S_SHU
udevadm_test: ID_FS_LABEL_ENC=LINDA\x27S\x20SHU
udevadm_test: ID_FS_VERSION=FAT32
udevadm_test: ID_FS_TYPE=vfat
udevadm_test: ID_FS_USAGE=filesystem
udevadm_test: UDISKS_PRESENTATION_NOPOLICY=0
udevadm_test: UDISKS_PARTITION=1
udevadm_test: UDISKS_PARTITION_SCHEME=mbr
udevadm_test: UDISKS_PARTITION_NUMBER=1
udevadm_test: UDISKS_PARTITION_TYPE=0x0b
udevadm_test: UDISKS_PARTITION_SIZE=519669248
udevadm_test: UDISKS_PARTITION_FLAGS=boot
udevadm_test: UDISKS_PARTITION_SLAVE=/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.0/host5/target5:0:0/5:0:0:0/block/sdb
udevadm_test: UDISKS_PARTITION_OFFSET=31232
udevadm_test: UDISKS_PARTITION_ALIGNMENT_OFFSET=0
udevadm_test: run: 'socket:/org/kernel/dm/multipath_event'
udevadm_test: run: 'socket:@/org/freedesktop/hal/udev_event'
#-
Comment 8 Harald Hoyer 2010-06-28 11:59:29 EDT
$ rpm -qf /lib/udev/ipod-set-info
libgpod-0.7.91-2.fc13.x86_64

ok... please try:

# mv /lib/udev/ipod-set-info /lib/udev/ipod-set-info.bak

and replug the device.
Comment 9 Walter Tuvell 2010-06-28 13:01:11 EDT
Progress!

First, when I do the RPM query you suggest, I do get libgpod-0.7.91-2.fc13.x86_64.

After doing the mv command you suggest, and plugging in the Shuffle again, the following things happen:

(1) The device DOES show up automatically on the desktop as a plugged-in device, with name "LINDA'S SHU".

(2) Nautilus DOES auto-open, with the device mounted as "/media/LINDA'S SHU".

(3) RhythmBox DOES NOT auto-open.  However, if I start RhythmBox manually, the device does show up as an audio device, with name "Linda's Shuffle" (I had forgotten the name was originally registered as mixed-case instead of all-caps).  And, I can see the contents of device, and play it.  (I haven't checked all capabilities of RhythmBox, but this looks promising.)

(4) But, I want RhymthmBox to auto-open.  How can that be done?  I tried right-clicking the Shuffle's desktop icon, and going to Properties, hoping to find an option to Open With RythmBox.  But I can't do that, because the properties says the type is "folder (inode/directory)", and there is no Open With option (there's only an Open option, which opens Nautilus).
Comment 10 Todd Zullinger 2010-06-28 13:17:56 EDT
If you can, please update libgpod from updates-testing, as the release there has a number of fixes in the udev helper.  That might be the root of the problem.  But if not, at least we can ensure that it doesn't cause any further trouble before it reaches normal updates channel.  I think it'll help, as several folks with problems connecting iPod's have reported it works well for them.

To update libgpod from updates testing, run, as root:

    yum --enablerepo updates-testing update libgpod
Comment 11 Walter Tuvell 2010-06-28 13:58:59 EDT
Hi, Todd.

Sorry to say, this didn't help.  After the update, the behaviour upon plugging-in the Shuffle reverted to same as the original problem.  (And, upon removing the new libgpod, the semi-goodness reappeared again, as expected.)
Comment 12 Walter Tuvell 2010-06-28 16:18:23 EDT
FWIW, the following Ubuntu bug is relevant: https://bugs.launchpad.net/ubuntu/+source/libgpod/+bug/565971.

(However, it speaks of libgpod-common, and I'm not going to do anything on Fedora based on Ubuntu recommendations.)
Comment 13 Natalie 2010-11-04 23:39:19 EDT
On Fedora 14 x86_64 with testing repo enabled this problem still exists for me.  Disk utility will see my 1GB 1st gen iPod Shuffle, but it won't mount.  Here's what I did to fix it:

Open "/lib/udev/rules.d/90-libgpod.rules" and change the value of "ENV{DEVTYPE}==" from "partition" to "disk"

My iPod automatically mounts and Banshee can sync it perfectly now.
Comment 14 John Thacker 2010-11-25 09:56:32 EST
Like Natalie, I'm on Fedora 14 x86_64 with testing repo enabled, I also see this same problem with an 2GB iPod Shuffle.  

My iPod actually always automatically mounts and appears on the desktop and a window in Nautilus, but Banshee and Rhythmbox don't recognize it as an audio player.

I can force Rhythmbox to recognize the device as an audio device by creating a zero size file .is_audio_player at the top level of the file hierarchy of the device, as mentioned in the Rhythmbox help.

Moving the file as Harald suggests makes the device work in Banshee, but it's still not recognized as an audio device by Rhythmbox without that file.  (Back in the old days, F12 and possibly F13, it used to work.)

Natalie's suggestion of changing 90-libgpod.rules has no effect on whether Banshee can see it or not.
Comment 15 Bug Zapper 2011-06-02 07:08:31 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2011-06-27 14:04:21 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.